Skip to main content

Atrium API

List Institutions

See which institutions are available for connection. Information returned will include the institution_code assigned to a particular institution, URLs for the financial institution's logo, and the URL for its website.

This endpoint does not tell you what credentials are required to log on to an institution's website. For that, you'll need to call the list required credentials endpoint.

GET
/institutions

Query Parameters

FieldRequiredType

name

Only institutions whose name contains the appended string will be returned.

Optional
String

supports_account_identification

Only institutions which support identity will be returned.

Optional
Boolean

supports_account_statement

Only institutions which offer access to account statements will be returned.

Optional
Boolean

supports_account_verification

Only institutions which support account verification will be returned.

Optional
Boolean

supports_transaction_history

Only institutions which offer an extended transaction history will be returned.

Optional
Boolean

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/institutions?name=mx' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_22
{
_22
"institutions": [
_22
{
_22
"code": "mxbank",
_22
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/INS-1572a04c-912b-59bf-5841-332c7dfafaef_100x100.png",
_22
"name": "MX Bank",
_22
"small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/INS-1572a04c-912b-59bf-5841-332c7dfafaef_50x50.png",
_22
"supports_account_identification": true,
_22
"supports_account_statement": false,
_22
"supports_account_verification": true,
_22
"supports_oauth": false,
_22
"supports_transaction_history": true,
_22
"url": "https://www.mx.com"
_22
}
_22
],
_22
"pagination": {
_22
"current_page": 1,
_22
"per_page": 25,
_22
"total_entries": 1,
_22
"total_pages": 1
_22
}
_22
}